%define upstream_name Math-Base-Convert
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Very fast base to base conversion
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module provides fast functions and methods to convert between
arbitrary number bases from 2 (binary) thru 65535.

This module is pure Perl, has no external dependencies, and is backward
compatible with old versions of Perl 5.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-2.mga6
+ Revision: 1029545
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.110.0-1.mga6
+ Revision: 1002135
- update to 0.11

* Fri Feb 19 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 967908
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.80.0-1.mga6
+ Revision: 850783
- imported package perl-Math-Base-Convert

